/**BEGIN  **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_DIMCOMBINATIONENTITY') 
 CREATE TABLE T_EB_DIMCOMBINATIONENTITY (
FID  BIGINT NOT NULL DEFAULT 0,
FNAME NVARCHAR(50) NOT NULL DEFAULT ' ',
FNUMBER NVARCHAR(50) NOT NULL DEFAULT ' ',
FMODELID BIGINT NOT NULL DEFAULT 0,
FBIZMODELID BIGINT NOT NULL DEFAULT 0,
FDATASETID BIGINT NOT NULL DEFAULT 0,
FDESCRIPTION NVARCHAR(255) NOT NULL DEFAULT ' ',
FSUITOBJECT CHAR(1) NOT NULL DEFAULT '1',
FDATAFORMAT CHAR(1) NOT NULL DEFAULT '1',
FDIGIT INT NOT NULL DEFAULT 2,
FDIMGROUPTYPE CHAR(1) NOT NULL DEFAULT '1',
FACCOUNTID BIGINT NOT NULL DEFAULT 0,
FMETRICID BIGINT NOT NULL DEFAULT 0,
FUNIT CHAR(1) NOT NULL DEFAULT '0',
FFORMULA NVARCHAR(255) NOT NULL DEFAULT ' ',
FFORMULA_TAG NCLOB,
FREFPARAMDIMNUMS NVARCHAR(500) NOT NULL DEFAULT ' ',
FREFFUNCTIONDIMNUMS NVARCHAR(500) NOT NULL DEFAULT ' ',
FFORMULAUNIT CHAR(1) NOT NULL DEFAULT '0',
FCREATERID BIGINT NOT NULL DEFAULT 0,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT NOT NULL DEFAULT 0,
FMODIFYDATE DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_DIMCOMBINATIONENTITY_L') 
 CREATE TABLE T_EB_DIMCOMBINATIONENTITY_L (
FPKID NVARCHAR(36) NOT NULL DEFAULT ' ',
FID  BIGINT NOT NULL DEFAULT 0,
FLOCALEID NVARCHAR(10) NOT NULL DEFAULT ' ',
FNAME NVARCHAR(50) NOT NULL DEFAULT ' ',
FDESCRIPTION NVARCHAR(255) NOT NULL DEFAULT ' '
);

/**END **/